System.register(["cc"], function (_export, _context) {
  "use strict";

  var _cclegacy, _crd, ITEM_TYPE, BOX_TYPE, GameConst, ITEM_HINT_LV, ITEM_FROZEN_LV, ITEM_MAGENT_LV, ITEM_TIME_LV;

  return {
    setters: [function (_cc) {
      _cclegacy = _cc.cclegacy;
    }],
    execute: function () {
      _crd = true;

      _cclegacy._RF.push({}, "e35acRUB8JEcok+Iaxv1zHa", "GameConst", undefined);

      _export("ITEM_TYPE", ITEM_TYPE = /*#__PURE__*/function (ITEM_TYPE) {
        ITEM_TYPE["Star"] = "Star";
        ITEM_TYPE["Coin"] = "Coin";
        ITEM_TYPE["Magnet"] = "Magnet";
        ITEM_TYPE["Hint"] = "Hint";
        ITEM_TYPE["Frozen"] = "Frozen";
        ITEM_TYPE["Time"] = "Time";
        return ITEM_TYPE;
      }({}));

      _export("BOX_TYPE", BOX_TYPE = /*#__PURE__*/function (BOX_TYPE) {
        BOX_TYPE[BOX_TYPE["LEVEL"] = 0] = "LEVEL";
        BOX_TYPE[BOX_TYPE["STAR"] = 1] = "STAR";
        BOX_TYPE[BOX_TYPE["TEAM"] = 2] = "TEAM";
        return BOX_TYPE;
      }({}));

      _export("GameConst", GameConst = {
        //是否是测试包
        isDebug: true,
        //游戏名字
        gameName: "CatchGoose",
        //本地缓存KEY值
        localCache: {
          player: 'WSOPlayer',
          //基础数据缓存
          settingData: 'WSOSettingData',
          //设置的数据
          levelsData: 'WSOLevelsData' //关卡数据

        },
        playerInfoData: `playerInfo`,
        //玩家信息
        playerName: `playerName`,
        //玩家名字被修改
        //动态bundle
        bundleName: {
          audios: `audios`,
          //音乐资源
          models: `models`,
          //模型预制体
          resources: `resources` //系统自带的bundle资源包

        },
        //音效
        audios: {
          bg_music: "bg_music",
          //背景音乐
          btnclick: "btnclick",
          //
          freeze: "freeze",
          //
          pass: "pass",
          //
          softFail: "softFail",
          //
          starCollect: "starCollect",
          //
          tap: "tap" //

        },
        //主页面,不会消除释放,可以相互动态切换pop 允许只有一个主页面
        mainUIs: {
          page1: `pageUI/page1`,
          //主要页面
          page2: `pageUI/page2` //其他页面

        },
        //popUIs弹出的页面,需要单个消除释放
        popUIs: {
          settingUI: `ui/settingUI`,
          //设置节点界面
          enterBattleUI: `ui/enterBattleUI`,
          //进去战斗UI
          spiritFocusUI: `ui/spiritFocusUI` //聚灵阵页面

        },
        CLEAR_ALL_BOX: "CLEAR_ALL_BOX",
        USE_ITEM_HINT: "USE_ITEM_HINT",
        USE_ITEM_FROZEN: "USE_ITEM_FROZEN",
        USE_ITEM_TIME: "USE_ITEM_TIME",

        getLvBoxReward(key) {
          if (key == 1) {
            return [{
              type: ITEM_TYPE.Coin,
              num: 17
            }, {
              type: ITEM_TYPE.Hint,
              num: 2
            }];
          } else if (key == 2) {
            return [{
              type: ITEM_TYPE.Coin,
              num: 20
            }, {
              type: ITEM_TYPE.Hint,
              num: 3
            }, {
              type: ITEM_TYPE.Magnet,
              num: 3
            }];
          } else {
            return [{
              type: ITEM_TYPE.Coin,
              num: 30
            }, {
              type: ITEM_TYPE.Hint,
              num: 5
            }, {
              type: ITEM_TYPE.Magnet,
              num: 5
            }, {
              type: ITEM_TYPE.Time,
              num: 5
            }];
          }
        },

        getStarBoxReward(key) {
          if (key == 1) {
            return [{
              type: ITEM_TYPE.Coin,
              num: 100
            }, {
              type: ITEM_TYPE.Hint,
              num: 5
            }];
          } else if (key == 2) {
            return [{
              type: ITEM_TYPE.Coin,
              num: 150
            }, {
              type: ITEM_TYPE.Hint,
              num: 5
            }, {
              type: ITEM_TYPE.Magnet,
              num: 5
            }];
          } else {
            return [{
              type: ITEM_TYPE.Coin,
              num: 200
            }, {
              type: ITEM_TYPE.Hint,
              num: 5
            }, {
              type: ITEM_TYPE.Magnet,
              num: 5
            }, {
              type: ITEM_TYPE.Time,
              num: 5
            }];
          }
        },

        getItemName(type) {
          return {
            "Star": "星星",
            "Coin": "金币",
            "Magnet": "磁铁",
            "Hint": "提示",
            "Frozen": "冰冻",
            "Time": "额外时间"
          }[type];
        },

        local_data_key: "111",
        //游戏窗口层级
        WIN_LAYER: {
          SCENE: 10,
          POPUP: 20,
          GUIDE: 30,
          TIP: 40,
          ERROR: 50,
          VIDEO: 60
        },
        //窗口类型
        WIN_TYPE: {
          NORMAL: 1,
          //普通
          FULLSCREEN: 2,
          //全屏
          PERMANENT: 3 //常驻

        },
        MAX_LIFE: 5,
        MAX_LIFE_RECOVERY_TIME: 2 //分钟

      });

      _export("ITEM_HINT_LV", ITEM_HINT_LV = 5); //  提示


      _export("ITEM_FROZEN_LV", ITEM_FROZEN_LV = 10); //    冰冻时间


      _export("ITEM_MAGENT_LV", ITEM_MAGENT_LV = 10); //    磁铁


      _export("ITEM_TIME_LV", ITEM_TIME_LV = 20); //    额外时间


      _cclegacy._RF.pop();

      _crd = false;
    }
  };
});
//# sourceMappingURL=f0a1f21cf165411a6d3b8b6d9c02588f60eba00c.js.map